if exists (select * from sysobjects where id = object_id('dbo.AuthorTitleByRoyalty') and sysstat & 0xf = 4)
	drop procedure dbo.AuthorTitleByRoyalty
GO

CREATE PROCEDURE AuthorTitleByRoyalty @percentage int, @numrows int OUTPUT
AS
select a.au_lname, a.au_fname, t.title
	from authors a
	, titleauthor ta
	, titles t
	where a.au_id = ta.au_id
	and ta.title_id = t.title_id
	and ta.royaltyper = @percentage
	order by a.au_lname, a.au_fname

	SELECT @numrows = @@ROWCOUNT

	if @numrows = 0
		return 0
	else return 1


GO

GRANT  EXECUTE  ON dbo.AuthorTitleByRoyalty  TO public
GO

GRANT  EXECUTE  ON dbo.AuthorTitleByRoyalty  TO guest
GO

